package DeWeave::BO::Bookmark::Bookmark;
use Moose;
use namespace::autoclean;
use MooseX::Types::Moose qw(Str ArrayRef Bool);

extends 'DeWeave::BO::Bookmark::Base';

has title => (
    isa => Str,
    required => 1,
    is => 'ro',
);

has bmkUri => (
    isa => Str,
    required => 1,
    is => 'ro',
);

has description => (
    isa => Str,
    required => 0,
    is => 'ro',
);

has loadInSidebar => (
    isa => Bool,
    required => 1,
    is => 'ro',
);

has tags => (
    isa => ArrayRef[Str],
    required => 0,
    is => 'ro',
);

has keyword => (
    isa => Str,
    required => 0,
    is => 'ro',
);

1;
