package DeWeave::BO::Password;
use Moose;
use namespace::autoclean;
use MooseX::Types::Moose qw(Str);

extends 'DeWeave::EDO';

has hostname => (
    isa => Str,
    required => 1,
    is => 'ro',
);

has formSubmitURL => (
    isa => Str,
    required => 0,
    is => 'ro',
);

has httpRealm => (
    isa => Str,
    required => 0,
    is => 'ro',
);

has username => (
    isa => Str,
    required => 1,
    is => 'ro',
);

has password => (
    isa => Str,
    required => 1,
    is => 'ro',
);

has usernameField => (
    isa => Str,
    required => 0,
    is => 'ro',
);

has passwordField => (
    isa => Str,
    required => 0,
    is => 'ro',
);

1;
